import { RxCollection, RxDocument } from 'rxdb';
import Contact from '../../parse/models/contact';
import Company from '../../parse/models/company';
export interface IMockContact {
    contact: string;
    type: 1 | 2;
}
export declare type ContactSeedDocType = IMockContact & {
    id: string;
};
export declare type ContactSeedMethods = {
    createContact: (company: Company, token: string) => Promise<Contact>;
};
export declare type ContactSeedDocument = RxDocument<ContactSeedDocType, ContactSeedMethods>;
export declare type ContactSeedCollectionMethods = {
    countAllDocuments: () => Promise<number>;
    getRandom: (type: 1 | 2) => Promise<ContactSeedDocument>;
};
export declare type ContactSeedCollection = RxCollection<ContactSeedDocType, ContactSeedMethods, ContactSeedCollectionMethods>;
//# sourceMappingURL=contactSeed.d.ts.map