import { RxCollection, RxDocument } from 'rxdb';
export declare type ParseConfigDocType = {
    id: string;
    serverName: string;
    appId: string;
    jsKey?: string;
    masterKey: string;
    serverUrl: string;
    active: boolean;
};
export declare type ParseConfigMethods = {
    connect: () => Promise<boolean>;
    checkOnline: () => Promise<boolean>;
};
export declare type ParseConfigDocument = RxDocument<ParseConfigDocType, ParseConfigMethods>;
export declare type ParseConfigCollectionMethods = {
    countAllDocuments: () => Promise<number>;
};
export declare type ParseConfigCollection = RxCollection<ParseConfigDocType, ParseConfigMethods, ParseConfigCollectionMethods>;
//# sourceMappingURL=parseConfig.d.ts.map