/// <reference types="parse" />
import Parse from 'parse/node';
import Company from './company';
interface IAddressAttributes {
    theState: string;
    street: string;
    zipCode: string;
    city: string;
    company: Company;
}
declare class SSAddress extends Parse.Object {
    constructor(options: Record<string, unknown>);
    attributes: IAddressAttributes;
    static create({ city, company, street, theState, zipCode, }: IAddressAttributes): Promise<SSAddress>;
}
export default SSAddress;
//# sourceMappingURL=address.d.ts.map