/// <reference types="parse" />
import Parse from 'parse/node';
import Company from './company';
import Office from './office';
import SSMeasureSheetItem from './measureSheetItem';
export interface IPriceGuideAttributes {
    accessories: SSPriceGuideItem[];
    accessoriesPricesDict: Record<string, unknown>;
    accessoryPrices: [];
    activeObjectId: string;
    additionalDetails: [];
    category: string;
    commissionable: boolean;
    company: Company;
    disabledParents: string[];
    displayTitle: string;
    edits: [];
    identifier: string;
    image: File;
    info: string;
    isAccessory: boolean;
    itemCode: string;
    itemCodes: Record<string, unknown>;
    itemPrices: upCharge[];
    measurementType: string;
    measureSheetItem: SSMeasureSheetItem;
    name: string;
    orderNumber: number;
    parArray: [];
    parentItem: SSPriceGuideItem;
    percentagePrice: boolean;
    permissions: Record<string, unknown>;
    placeholders: [];
    pricesDict: Record<string, unknown>;
    shouldShowSwitch: number;
    sourceObjectId: string;
    subCategory: string;
    subCategory2: string;
    temp: boolean;
}
declare type upCharge = {
    price: number;
    office: Office;
};
declare class SSPriceGuideItem extends Parse.Object {
    constructor(options?: Record<string, unknown>);
    attributes: IPriceGuideAttributes;
}
export default SSPriceGuideItem;
//# sourceMappingURL=priceGuideItem.d.ts.map