'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.getDuration = exports.getNow = void 0;
const types_1 = require('../commandLine/types');
exports.getNow = () => Date.now();
exports.getDuration = (startTime, operation) => {
    const duration = Math.abs(Date.now() - startTime) / 1000;
    const durationTime = duration < 60 ? `${ duration } seconds` : `${ Math.floor(duration / 60) } minutes & ${ duration % 60 } seconds`;
    console.log(types_1.ConsoleColor.Dim + types_1.ConsoleColor.Content + types_1.ConsoleColor.Reset, `${ operation } took ${ durationTime }`);
};    //# sourceMappingURL=consoleTimer.js.map
