import { ConsoleColor } from '@/commandLine/types';

export const getNow = (): number => Date.now();
export const getDuration = (startTime: number, operation: string): void => {
  const duration = Math.abs(Date.now() - startTime) / 1000;
  const durationTime =
    duration < 60
      ? `${duration} seconds`
      : `${Math.floor(duration / 60)} minutes & ${duration % 60} seconds`;
  console.log(
    ConsoleColor.Dim + ConsoleColor.Content + ConsoleColor.Reset,
    `${operation} took ${durationTime}`
  );
};
