export declare enum Arg {
    addConnection = "--addConnection",
    name = "--name",
    url = "--url",
    appId = "--appId",
    masterKey = "--masterKey",
    jsKey = "--jsKey",
    useConnection = "--useConnection",
    createRandCompany = "--createRandCompany",
    noContracts = "--noContracts",
    noCreditApps = "--noCreditApps",
    noEstimates = "--noEstimates",
    noMeasureItems = "--noMeasureItems",
    noOffices = "--noOffices",
    noUsers = "--noUsers",
    partnerTag = "--partnerTag"
}
export declare const ArgValType: Map<Arg, "string" | "integer" | null>;
export declare const getValuesFromArgs: (userArgs: (Arg | string | number)[]) => Map<Arg, null | string | number>;
//# sourceMappingURL=args.d.ts.map