import { Observable } from 'rxjs';
import { RxDatabase } from 'rxdb';
import { LeapGeneratorCollections } from './types/collections';
export declare type LeapGeneratorDatabase = RxDatabase<LeapGeneratorCollections>;
export declare type LeapDBObserver = {
    message: string;
    progress: number;
    db?: LeapGeneratorDatabase;
};
export declare const initializeDatabase: (adapter: unknown, seedJSONPath?: string | undefined) => Observable<LeapDBObserver>;
//# sourceMappingURL=database.d.ts.map