/// <reference types="parse" />
import Parse from 'parse/node';
import Company from './company';
interface IContactAttributes {
    contact: string;
    type: 1 | 2;
    company: Company;
}
declare class SSContact extends Parse.Object {
    constructor(options: IContactAttributes);
    attributes: IContactAttributes;
    static create({ company, type, contact }: IContactAttributes, token: string): Promise<SSContact>;
}
export default SSContact;
//# sourceMappingURL=contact.d.ts.map