/// <reference types="parse" />
import Parse from 'parse/node';
import { ICustomConfig, IMockOffice, Edit } from '../types';
import Company from './company';
interface IOfficeAttributes {
    name: string;
    abbv: string;
    msCompanyId: string;
    order: number;
    copiedOfficeId: string;
    company: Company;
    config: ICustomConfig;
    copySettingsFrom: string;
    isNewCompany: boolean;
    edits: Edit[];
    isCorporateAccount: boolean;
    canSearchAllEstimates: boolean;
    deleteFileWhenInactive: boolean;
}
declare class Office extends Parse.Object {
    constructor(options?: unknown);
    attributes: IOfficeAttributes;
    static create(attributes: IMockOffice, company: Company, token: string): Promise<Office>;
}
export default Office;
//# sourceMappingURL=office.d.ts.map