/// <reference types="parse" />
import Parse from 'parse/node';
export interface IBasePartnerCreditApplication {
    submitAlert: {
        show: boolean;
        title: string;
        disclosure: string;
    };
    submitDisclosure: string;
    sections: {
        title: string;
        button: string;
        section: string;
        cells: {
            cellId: string;
            title: string;
            placeholder: string;
            note: string;
            cellType: string;
            inputType: string;
            required: boolean;
            appKey: string;
            apiKey: string;
            type: string;
            pickerOptions: string[];
            regex: string;
        }[];
    }[];
    title: string;
    source: string;
}
export interface IMockPartnerCreditApplication extends IBasePartnerCreditApplication {
    image: Parse.File;
}
declare class PartnerCreeditApplication extends Parse.Object {
    constructor(options?: IMockPartnerCreditApplication);
    static create(mockPartnerCreditApp: IMockPartnerCreditApplication, token: string): Promise<PartnerCreeditApplication>;
}
export default PartnerCreeditApplication;
//# sourceMappingURL=partnerCreditApplication.d.ts.map